petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecPermute

Permutes a vector in place using the given ordering.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecPermute(Vec x, IS row, PetscBool inv)

### Input Parameters

| vec | - The vector
| order | - The ordering
| inv | - The flag for inverting the permutation

Note: This function does not yet support parallel Index Sets with non-local permutations

### See Also

MatPermute()

### Keywords

vec, permute

Level:beginner
Location:src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex18.c.html